Debian Bug report logs - #713636
cpputest: FTBFS: src/CppUTest/MemoryLeakDetector.cpp:457:76: error: conversion to 'int' from 'long unsigned int' may alter its value [-Werror=conversion]

version graph

Package: src:cpputest; Maintainer for src:cpputest is Raphaël Hertzog <hertzog@debian.org>;

Reported by: David Suárez <david.sephirot@gmail.com>

Date: Sat, 22 Jun 2013 14:20:06 UTC

Severity: serious

Tags: jessie, sid

Found in version cpputest/3.4-1

Fixed in version cpputest/3.4-3

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#713636; Package src:cpputest. (Sat, 22 Jun 2013 14:20:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Suárez <david.sephirot@gmail.com>:
New Bug report received and forwarded. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Sat, 22 Jun 2013 14:20:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Suárez <david.sephirot@gmail.com>
To: submit@bugs.debian.org
Subject: cpputest: FTBFS: src/CppUTest/MemoryLeakDetector.cpp:457:76: error: conversion to 'int' from 'long unsigned int' may alter its value [-Werror=conversion]
Date: Sat, 22 Jun 2013 15:25:41 +0200
Source: cpputest
Version: 3.4-1
Severity: serious
Tags: jessie sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20130620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -DHAVE_CONFIG_H -I.   -include ./include/CppUTest/MemoryLeakDetectorMallocMacros.h -I./include/CppUTestExt/CppUTestGMock -I./include/CppUTestExt/CppUTestGTest -I ./include   -D_FORTIFY_SOURCE=2  -include ./include/CppUTest/MemoryLeakDetectorNewMacros.h  -Werror -Wall -Wextra -Wshadow -Wswitch-default -Wswitch-enum -Wconversion -pedantic-errors -Wsign-conversion -Woverloaded-virtual -Wno-disabled-macro-expansion -Wno-padded -Wno-global-constructors -Wno-exit-time-destructors -Wno-weak-vtables  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -c -o libCppUTest_a-MemoryLeakDetector.o `test -f 'src/CppUTest/MemoryLeakDetector.cpp' || echo './'`src/CppUTest/MemoryLeakDetector.cpp
> src/CppUTest/MemoryLeakDetector.cpp: In member function 'void MemoryLeakDetector::ConstructMemoryLeakReport(MemLeakPeriod)':
> src/CppUTest/MemoryLeakDetector.cpp:457:76: error: conversion to 'int' from 'long unsigned int' may alter its value [-Werror=conversion]
>   output_buffer_.setWriteLimit(SimpleStringBuffer::SIMPLE_STRING_BUFFER_LEN - MEM_LEAK_NORMAL_MALLOC_FOOTER_SIZE);
>                                                                             ^
> At global scope:
> cc1plus: error: unrecognized command line option "-Wno-weak-vtables" [-Werror]
> cc1plus: error: unrecognized command line option "-Wno-exit-time-destructors" [-Werror]
> cc1plus: error: unrecognized command line option "-Wno-global-constructors" [-Werror]
> cc1plus: error: unrecognized command line option "-Wno-disabled-macro-expansion" [-Werror]
> cc1plus: all warnings being treated as errors
> make[2]: *** [libCppUTest_a-MemoryLeakDetector.o] Error 1

The full build log is available from:
   http://aws-logs.debian.net/ftbfs-logs/2013/06/20/cpputest_3.4-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 22 Jun 2013 21:21:18 GMT) Full text and rfc822 format available.

Notification sent to David Suárez <david.sephirot@gmail.com>:
Bug acknowledged by developer. (Sat, 22 Jun 2013 21:21:18 GMT) Full text and rfc822 format available.

Message #10 received at 713636-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 713636-close@bugs.debian.org
Subject: Bug#713636: fixed in cpputest 3.4-3
Date: Sat, 22 Jun 2013 21:18:17 +0000
Source: cpputest
Source-Version: 3.4-3

We believe that the bug you reported is fixed in the latest version of
cpputest, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713636@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated cpputest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Jun 2013 22:54:59 +0200
Source: cpputest
Binary: cpputest libcpputest-dev
Architecture: source all amd64
Version: 3.4-3
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 cpputest   - C/C++ based unit test framework — main package
 libcpputest-dev - C/C++ based unit test framework — headers and static libraries
Closes: 713636
Changes: 
 cpputest (3.4-3) unstable; urgency=low
 .
   * Use -Werror in maintainer mode only. Closes: #713636
   * Use dh-autoreconf to regenerate the configure script.
   * Use --disable-silent-rules to have complete command lines in the log.
Checksums-Sha1: 
 41819d0ca640810c44c3e52ad6e6b65294d2dbac 1945 cpputest_3.4-3.dsc
 81c49015e25f9a3381c5ad33f3036218d7fca93a 3681 cpputest_3.4-3.debian.tar.gz
 e727604bc0bc16de17b3d6477020994d3aed4802 34782 cpputest_3.4-3_all.deb
 827dd492f0cbac2d9602a6eaab1a4b6d371fea96 172934 libcpputest-dev_3.4-3_amd64.deb
Checksums-Sha256: 
 1832505a11d9088bc5e4750624e0357a7496571bb8c8af6e35eb1da183b43607 1945 cpputest_3.4-3.dsc
 a8613b303f6470d857aa8292ea94ffdde4d9b0c9f230cce09928f3b0a1a5c9dc 3681 cpputest_3.4-3.debian.tar.gz
 054ade75141a6a49da4b6e4d6d58d486cb0558220fc091baf2dc80964ecdedc9 34782 cpputest_3.4-3_all.deb
 c7424dbdd7d7f30b6e67424fd976ae9d4a0b396cbe8d70fc528259ff66e11398 172934 libcpputest-dev_3.4-3_amd64.deb
Files: 
 2aa39d9a86ab3bb11f5f7115577c12f4 1945 devel optional cpputest_3.4-3.dsc
 92e4c8d2b9473967c79058544b4a0812 3681 devel optional cpputest_3.4-3.debian.tar.gz
 d5522c7eea662dbd8317f0ac4051f41e 34782 devel optional cpputest_3.4-3_all.deb
 bf4af3684569ebbcab1e1c3b055c9a36 172934 libdevel optional libcpputest-dev_3.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJRxhCjAAoJEOYZBF3yrHKar40P/20VIq17E7OHUGRpvXeWIvoS
EtN4d1+VjPcUCJa6djQ+bjfErSC7is8tGdOST7XJnwz1DMD81gg+PTiyNJ0lqvoT
A+FG+RDHPXjCoE04vkcCh7QlMNhjHUlkYX20aViVzho1PUEBtfT5mpz1UcTVDmq0
vOvVViFfCyn1beZN4iZph+F46Sz1sFur19mHD3zPmcwNnR3qenpM12rNXNx1ZXzq
cGksNgldZO8roxETIlxqXaWiF2C31beKOJf7RCswYdwgv2kqVWtve3KlDc6/rXgS
GIJljX3vgRWgtZLjaWUoTLGIakBENh0hYzHGFcAD37Kbs5qIDnCGBQsc5WJ78ekp
U+zLUPvkYYWcaEMsMu07pYiMyu42s6Hnvwj9kBIKi2+Zk/Pw6geIxqfCV4LIX5aU
KajsS/UY4yIHKmgtO1GXC07Utxj2GLwHB7vW5cDhHiNgwTFpRfi9rDsJuEMzgKWy
MGXCK+N795WZ9kvDrGcsyrR3vejEyJj3QIV4lazcf8gOknbyyv3XfsG4QRZtJ7oB
cEfNgR7W/boYxi34zbZMT7cTbMl0fTpe8IpswV8nZBK87HFRu2swlo5EZAxIwccD
BXABu2Q0FEwdah8R9MYlKUtCwJrpqBOi+Df+VfQK+nwU0GsNs22ZOL143BdnJNza
zQduWyvcDZPu6N6YIFK9
=1x8m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:25:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.